#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
        int V;
        cin>>V;
        int V1=V;
        int k=0;
        int br=0;
        int tren;
        int d;
        while(V>0)
        {
            while(V1>0)
            {
                V1=V/10;
                k=k+1;
            }


            if(V1>=5)
                {
                    d=5;
                    tren=(V-pow(10,k))/pow(10,k);
                    br+=1;

                    if  (tren==4 || tren==3)
                    {
                        br+=2;
                    }
                    if  (tren==2 || tren==1)
                    {
                        br+=1;
                    }
                }
            if(V1>=2)
                {
                    d=2;
                    tren=(V-pow(10,k))/pow(10,k);
                    br+=1;
                     if  (tren==2 || tren==1)
                    {
                        br+=1;
                    }

                }
            else if (V1=1)
                {
                        br+=1;
                }
            int t=pow(10,k);
        V=V % t;
        V1=V;
        k=0;

     }
    cout<<br;





    return 0;
}